Bug 196914 - science/dlpoly-classic fails to build with GCC 4.9
Summary: science/dlpoly-classic fails to build with GCC 4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koop Mast
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-01-20 00:00 UTC by Gerald Pfeifer
Modified: 2016-06-19 17:40 UTC (History)
3 users (show)

See Also:


Attachments
patch for net/openmpi - package f08 wrappers, too (1.16 KB, patch)
2015-07-29 21:45 UTC, Christoph Moench-Tegeder
no flags Details | Diff
"make stage-qa check-orphans" output for net/openmpi gcc49 after patching (332 bytes, text/plain)
2015-07-29 21:46 UTC, Christoph Moench-Tegeder
no flags Details
"make stage-qa check-orphans" for science/dlpoly-classic gcc49 after fixing openmpi (339 bytes, text/plain)
2015-07-29 21:47 UTC, Christoph Moench-Tegeder
no flags Details
patch for net/openmpi v2 (1.57 KB, patch)
2015-10-25 11:55 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-01-20 00:00:42 UTC
This is important since it blocks the upgrade of the default version
of GCC from GCC 4.8 to GCC 4.9.  If you cannot fix it, please change
to USE_GCC=4.8 for the time being.

http://package23.nyi.freebsd.org/data/101i386-default-PR196712/2015-01-16_07h04m40s/logs/errors/dlpolyclassic-1.8_8.log

/usr/local/mpi/openmpi/bin/mpif90 -c -O2 -ffast-math define_system_module.f
/usr/local/mpi/openmpi/bin/mpif90 -c -O2 -ffast-math basic_comms.f
basic_comms.f:318.17:

      call gisum(i,1,idum)                                              
                 1
Warning: Rank mismatch in argument 'aaa' at (1) (rank-1 and scalar)
/usr/local/mpi/openmpi/bin/mpif90 -c -O2 -ffast-math merge_tools.f
Comment 1 Bugzilla Automation freebsd_committer 2015-01-20 00:00:42 UTC
Maintainer CC'd
Comment 2 Jason W. Bacon freebsd_committer 2015-02-08 15:32:18 UTC
If the rank mismatch warning is stopping compilation, -Wno-error should get around it.  I don't think this will cause any run time issues.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-16 04:44:28 UTC
Reporter is Committer.
Comment 4 Gerald Pfeifer freebsd_committer 2015-02-22 17:13:17 UTC
Yes, reporter is committer, but that does not mean he should be
coughing up patches for ports maintained by other people. ;-)

jwbacon@tds.net, mind proposing a concrete patch?
Comment 5 Christoph Moench-Tegeder freebsd_committer 2015-07-29 21:25:11 UTC
The real error message here is
/usr/local/bin/ld: cannot find -lmpi_usempif08
/usr/local/bin/ld: cannot find -lmpi_usempi_ignore_tkr

This is because gcc49 supports Fortran 08, or at least enough (more than gcc48) of that to enable the f08 wrappers in openmpi (net/openmpi), and subsequently (e.g. when building dlpoly-classic) tries to use them.

Summary: the real culprit here is net/openmpi. I'll send a fix tomorrow.
Comment 6 Christoph Moench-Tegeder freebsd_committer 2015-07-29 21:45:19 UTC
Created attachment 159372 [details]
patch for net/openmpi - package f08 wrappers, too

This patch has to be applied along with the gcc 4.8 -> 4.9 upgrade (with gcc48, this would result in packaging errors).
Comment 7 Christoph Moench-Tegeder freebsd_committer 2015-07-29 21:46:35 UTC
Created attachment 159373 [details]
"make stage-qa check-orphans" output for net/openmpi gcc49 after patching

for lack of poudriere space in my 9.3 build environment
Comment 8 Christoph Moench-Tegeder freebsd_committer 2015-07-29 21:47:59 UTC
Created attachment 159374 [details]
"make stage-qa check-orphans" for science/dlpoly-classic gcc49 after fixing openmpi

for lack of poudriere space
Comment 9 Antoine Brodin freebsd_committer 2015-10-25 08:35:55 UTC
The patch doesn't seem to work,  I am doing exp-run with gcc 4.9 again and openmpi fails to package:

http://package22.nyi.freebsd.org/data/101amd64-default-PR196712/2015-10-24_13h26m36s/logs/errors/openmpi-1.10.0.log
Comment 10 Antoine Brodin freebsd_committer 2015-10-25 11:55:38 UTC
Created attachment 162440 [details]
patch for net/openmpi v2
Comment 11 Christoph Moench-Tegeder freebsd_committer 2015-10-25 12:43:37 UTC
(In reply to Antoine Brodin from comment #10)
That patch looks exactly like what cooking in my poudriere right now, looks like you beat me with that.
Comment 12 Christoph Moench-Tegeder freebsd_committer 2015-10-25 13:27:23 UTC
builds fine on 9.3 and 10.2. If we could have this committed before openmpi is upgraded again...
Comment 13 Jason W. Bacon freebsd_committer 2015-10-25 13:45:15 UTC
Sorry, guys.  I never saw Gerald's request from 2-22.  Thanks for taking care of this.
Comment 14 Antoine Brodin freebsd_committer 2015-11-07 07:29:03 UTC
After this:   https://svnweb.freebsd.org/changeset/ports/400879  the patch may no longer be necessary
Comment 15 Christoph Moench-Tegeder freebsd_committer 2015-11-07 22:11:21 UTC
Seems to work in my 9.3 VM.
Comment 16 Martin Wilke freebsd_committer 2016-01-02 20:04:03 UTC
Hi,

Can we close this report? Looks like everything have been solved.

Martin
Comment 17 Gerald Pfeifer freebsd_committer 2016-06-19 17:40:51 UTC
Indeed, let's consider this fixed.